<?php
$operatorMeta = array(
    'operators' => array(
        'op-1' => array(
            'id' => 'op-1',
            'type' => 'OnLinkChangeOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'objectModule' => array(
                    'id' => 'objectModule',
                                        'value' => 'ProspectLists',
                                    ),
                'subjectModule' => array(
                    'id' => 'subjectModule',
                                        'value' => 'Accounts',
                                    ),
                'linkName' => array(
                    'id' => 'linkName',
                                        'value' => 'accounts',
                                    ),
                'eventType' => array(
                    'id' => 'eventType',
                                        'value' => 'after_relationship_add',
                                    ),
            ),
            'outDataPorts' => array(
                'objectEntity' => array(
                    'id' => 'objectEntity',
                                        'value' => 'ProspectLists',
                                    ),
                'subjectEntity' => array(
                    'id' => 'subjectEntity',
                                        'value' => 'Accounts',
                                    ),
            ),
        ),
        'op-2' => array(
            'id' => 'op-2',
            'type' => 'GetEntityAttributesOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'ProspectLists',
                                    ),
            ),
            'outDataPorts' => array(
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'list_type',
                                        'section' => 'fields',
                ),
                'fields1' => array(
                    'id' => 'fields1',
                                        'value' => 'name',
                                        'section' => 'fields',
                ),
            ),
        ),
        'op-4' => array(
            'id' => 'op-4',
            'type' => 'GetEntityAttributesOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Accounts',
                                    ),
            ),
            'outDataPorts' => array(
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'id',
                                        'section' => 'fields',
                ),
                'fields1' => array(
                    'id' => 'fields1',
                                        'value' => 'assigned_user_id',
                                        'section' => 'fields',
                ),
            ),
        ),
        'op-5' => array(
            'id' => 'op-5',
            'type' => 'BranchOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlowIfTrue' => array(
                    'id' => 'controlFlowIfTrue'
                ),
                'controlFlowIfFalse' => array(
                    'id' => 'controlFlowIfFalse'
                ),
            ),
            'inDataPorts' => array(
                'condition' => array(
                    'id' => 'condition',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
            ),
        ),
        'op-7' => array(
            'id' => 'op-7',
            'type' => 'ConstantDropdownOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'dropdownName' => array(
                    'id' => 'dropdownName',
                                        'value' => 'prospect_list_type_dom',
                                    ),
                'dropdownValue' => array(
                    'id' => 'dropdownValue',
                                        'value' => 'Prospection',
                                    ),
            ),
        ),
        'op-8' => array(
            'id' => 'op-8',
            'type' => 'EqualOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'operand1' => array(
                    'id' => 'operand1',
                                        'value' => '',
                                    ),
                'operand2' => array(
                    'id' => 'operand2',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-9' => array(
            'id' => 'op-9',
            'type' => 'CreateEntityOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'module' => array(
                    'id' => 'module',
                                        'value' => 'Calls',
                                    ),
            ),
            'outDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Calls',
                                    ),
            ),
        ),
        'op-10' => array(
            'id' => 'op-10',
            'type' => 'SetEntityAttributesOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Calls',
                                    ),
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'name',
                                        'section' => 'fields',
                ),
                'fields1' => array(
                    'id' => 'fields1',
                                        'value' => 'parent_id',
                                        'section' => 'fields',
                ),
                'fields2' => array(
                    'id' => 'fields2',
                                        'value' => 'assigned_user_id',
                                        'section' => 'fields',
                ),
                'fields3' => array(
                    'id' => 'fields3',
                                        'value' => 'date_start',
                                        'section' => 'fields',
                ),
                'fields4' => array(
                    'id' => 'fields4',
                                        'value' => 'parent_type',
                                        'section' => 'fields',
                ),
                'fields5' => array(
                    'id' => 'fields5',
                                        'value' => 'description',
                                        'section' => 'fields',
                ),
                'fields6' => array(
                    'id' => 'fields6',
                                        'value' => 'direction',
                                        'section' => 'fields',
                ),
            ),
            'outDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Calls',
                                    ),
            ),
        ),
        'op-11' => array(
            'id' => 'op-11',
            'type' => 'CurrentDateOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'value' => array(
                    'id' => 'value',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-12' => array(
            'id' => 'op-12',
            'type' => 'DateAddOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'date' => array(
                    'id' => 'date',
                                        'value' => '',
                                    ),
                'number' => array(
                    'id' => 'number',
                                        'value' => '',
                                    ),
                'units' => array(
                    'id' => 'units',
                                        'value' => 'day',
                                    ),
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-13' => array(
            'id' => 'op-13',
            'type' => 'GetDateFromDatetimeOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'datetime' => array(
                    'id' => 'datetime',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
                'date' => array(
                    'id' => 'date',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-14' => array(
            'id' => 'op-14',
            'type' => 'ConstantDropdownOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'dropdownName' => array(
                    'id' => 'dropdownName',
                                        'value' => 'moduleList',
                                    ),
                'dropdownValue' => array(
                    'id' => 'dropdownValue',
                                        'value' => 'Accounts',
                                    ),
            ),
        ),
        'op-16' => array(
            'id' => 'op-16',
            'type' => 'GetEntityAttributesOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Notes',
                                    ),
            ),
            'outDataPorts' => array(
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'description',
                                        'section' => 'fields',
                ),
            ),
        ),
        'op-17' => array(
            'id' => 'op-17',
            'type' => 'GetArrayFromJsonOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'json' => array(
                    'id' => 'json',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
                'array' => array(
                    'id' => 'array',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-19' => array(
            'id' => 'op-19',
            'type' => 'GetArrayElementsByPathOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'array' => array(
                    'id' => 'array',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
                'elements0' => array(
                    'id' => 'elements0',
                                        'value' => 'ScheduleInXdays',
                                        'section' => 'elements',
                ),
                'elements1' => array(
                    'id' => 'elements1',
                                        'value' => 'CallSubject',
                                        'section' => 'elements',
                ),
                'elements2' => array(
                    'id' => 'elements2',
                                        'value' => 'CallDescription',
                                        'section' => 'elements',
                ),
            ),
        ),
        'op-20' => array(
            'id' => 'op-20',
            'type' => 'RetrieveEntitiesByAttributesOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'module' => array(
                    'id' => 'module',
                                        'value' => 'Notes',
                                    ),
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'name',
                                        'section' => 'fields',
                ),
            ),
            'outDataPorts' => array(
                'entities' => array(
                    'id' => 'entities',
                                        'value' => 'Notes',
                                    ),
                'entitiesNumber' => array(
                    'id' => 'entitiesNumber',
                                        'value' => '',
                                    ),
                'singleEntity' => array(
                    'id' => 'singleEntity',
                                        'value' => 'Notes',
                                    ),
            ),
        ),
        'op-22' => array(
            'id' => 'op-22',
            'type' => 'ConstantStringOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => 'CALL GENERATION PARAMETERS',
                                    ),
            ),
        ),
        'op-24' => array(
            'id' => 'op-24',
            'type' => 'ConstantNumberOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => '1',
                                    ),
            ),
        ),
        'op-25' => array(
            'id' => 'op-25',
            'type' => 'EqualOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'operand1' => array(
                    'id' => 'operand1',
                                        'value' => '',
                                    ),
                'operand2' => array(
                    'id' => 'operand2',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-26' => array(
            'id' => 'op-26',
            'type' => 'BranchOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlowIfTrue' => array(
                    'id' => 'controlFlowIfTrue'
                ),
                'controlFlowIfFalse' => array(
                    'id' => 'controlFlowIfFalse'
                ),
            ),
            'inDataPorts' => array(
                'condition' => array(
                    'id' => 'condition',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
            ),
        ),
        'op-28' => array(
            'id' => 'op-28',
            'type' => 'LogOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'logLevel' => array(
                    'id' => 'logLevel',
                                        'value' => 'fatal',
                                    ),
                'data1' => array(
                    'id' => 'data1',
                                        'value' => '',
                                        'section' => 'data',
                ),
            ),
            'outDataPorts' => array(
            ),
        ),
        'op-29' => array(
            'id' => 'op-29',
            'type' => 'ConstantStringOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => 'Note with CALL GENERATION PARAMETERS is not found',
                                    ),
            ),
        ),
        'op-30' => array(
            'id' => 'op-30',
            'type' => 'ReplaceSubstringOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'string' => array(
                    'id' => 'string',
                                        'value' => '',
                                    ),
                'search' => array(
                    'id' => 'search',
                                        'value' => '[TL_name]',
                                    ),
                'replace' => array(
                    'id' => 'replace',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-31' => array(
            'id' => 'op-31',
            'type' => 'SaveEntityOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Calls',
                                    ),
            ),
            'outDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Calls',
                                    ),
            ),
        ),
        'op-32' => array(
            'id' => 'op-32',
            'type' => 'ConstantDropdownOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'dropdownName' => array(
                    'id' => 'dropdownName',
                                        'value' => 'call_direction_dom',
                                    ),
                'dropdownValue' => array(
                    'id' => 'dropdownValue',
                                        'value' => 'Outbound',
                                    ),
            ),
        ),
    ),
    'links' => array(
        'link-1' => array(
            'from' => 'op-1objectEntity',
            'fromOperator' => 'op-1',
            'fromConnector' => 'objectEntity',
            'to' => 'op-2entity',
            'toOperator' => 'op-2',
            'toConnector' => 'entity'
        ),
        'link-2' => array(
            'from' => 'op-1subjectEntity',
            'fromOperator' => 'op-1',
            'fromConnector' => 'subjectEntity',
            'to' => 'op-4entity',
            'toOperator' => 'op-4',
            'toConnector' => 'entity'
        ),
        'link-3' => array(
            'from' => 'op-1controlFlow',
            'fromOperator' => 'op-1',
            'fromConnector' => 'controlFlow',
            'to' => 'op-5controlFlow',
            'toOperator' => 'op-5',
            'toConnector' => 'controlFlow'
        ),
        'link-5' => array(
            'from' => 'op-7dropdownValue',
            'fromOperator' => 'op-7',
            'fromConnector' => 'dropdownValue',
            'to' => 'op-8operand1',
            'toOperator' => 'op-8',
            'toConnector' => 'operand1'
        ),
        'link-6' => array(
            'from' => 'op-2fields0',
            'fromOperator' => 'op-2',
            'fromConnector' => 'fields0',
            'to' => 'op-8operand2',
            'toOperator' => 'op-8',
            'toConnector' => 'operand2'
        ),
        'link-7' => array(
            'from' => 'op-8result',
            'fromOperator' => 'op-8',
            'fromConnector' => 'result',
            'to' => 'op-5condition',
            'toOperator' => 'op-5',
            'toConnector' => 'condition'
        ),
        'link-9' => array(
            'from' => 'op-9entity',
            'fromOperator' => 'op-9',
            'fromConnector' => 'entity',
            'to' => 'op-10entity',
            'toOperator' => 'op-10',
            'toConnector' => 'entity'
        ),
        'link-10' => array(
            'from' => 'op-9controlFlow',
            'fromOperator' => 'op-9',
            'fromConnector' => 'controlFlow',
            'to' => 'op-10controlFlow',
            'toOperator' => 'op-10',
            'toConnector' => 'controlFlow'
        ),
        'link-13' => array(
            'from' => 'op-11value',
            'fromOperator' => 'op-11',
            'fromConnector' => 'value',
            'to' => 'op-13datetime',
            'toOperator' => 'op-13',
            'toConnector' => 'datetime'
        ),
        'link-14' => array(
            'from' => 'op-13date',
            'fromOperator' => 'op-13',
            'fromConnector' => 'date',
            'to' => 'op-12date',
            'toOperator' => 'op-12',
            'toConnector' => 'date'
        ),
        'link-15' => array(
            'from' => 'op-12result',
            'fromOperator' => 'op-12',
            'fromConnector' => 'result',
            'to' => 'op-10fields3',
            'toOperator' => 'op-10',
            'toConnector' => 'fields3'
        ),
        'link-17' => array(
            'from' => 'op-4fields0',
            'fromOperator' => 'op-4',
            'fromConnector' => 'fields0',
            'to' => 'op-10fields1',
            'toOperator' => 'op-10',
            'toConnector' => 'fields1'
        ),
        'link-19' => array(
            'from' => 'op-4fields1',
            'fromOperator' => 'op-4',
            'fromConnector' => 'fields1',
            'to' => 'op-10fields2',
            'toOperator' => 'op-10',
            'toConnector' => 'fields2'
        ),
        'link-21' => array(
            'from' => 'op-16fields0',
            'fromOperator' => 'op-16',
            'fromConnector' => 'fields0',
            'to' => 'op-17json',
            'toOperator' => 'op-17',
            'toConnector' => 'json'
        ),
        'link-22' => array(
            'from' => 'op-17array',
            'fromOperator' => 'op-17',
            'fromConnector' => 'array',
            'to' => 'op-19array',
            'toOperator' => 'op-19',
            'toConnector' => 'array'
        ),
        'link-24' => array(
            'from' => 'op-5controlFlowIfTrue',
            'fromOperator' => 'op-5',
            'fromConnector' => 'controlFlowIfTrue',
            'to' => 'op-20controlFlow',
            'toOperator' => 'op-20',
            'toConnector' => 'controlFlow'
        ),
        'link-25' => array(
            'from' => 'op-22result',
            'fromOperator' => 'op-22',
            'fromConnector' => 'result',
            'to' => 'op-20fields0',
            'toOperator' => 'op-20',
            'toConnector' => 'fields0'
        ),
        'link-26' => array(
            'from' => 'op-20entitiesNumber',
            'fromOperator' => 'op-20',
            'fromConnector' => 'entitiesNumber',
            'to' => 'op-25operand1',
            'toOperator' => 'op-25',
            'toConnector' => 'operand1'
        ),
        'link-27' => array(
            'from' => 'op-24result',
            'fromOperator' => 'op-24',
            'fromConnector' => 'result',
            'to' => 'op-25operand2',
            'toOperator' => 'op-25',
            'toConnector' => 'operand2'
        ),
        'link-28' => array(
            'from' => 'op-20controlFlow',
            'fromOperator' => 'op-20',
            'fromConnector' => 'controlFlow',
            'to' => 'op-26controlFlow',
            'toOperator' => 'op-26',
            'toConnector' => 'controlFlow'
        ),
        'link-29' => array(
            'from' => 'op-25result',
            'fromOperator' => 'op-25',
            'fromConnector' => 'result',
            'to' => 'op-26condition',
            'toOperator' => 'op-26',
            'toConnector' => 'condition'
        ),
        'link-31' => array(
            'from' => 'op-26controlFlowIfFalse',
            'fromOperator' => 'op-26',
            'fromConnector' => 'controlFlowIfFalse',
            'to' => 'op-28controlFlow',
            'toOperator' => 'op-28',
            'toConnector' => 'controlFlow'
        ),
        'link-32' => array(
            'from' => 'op-29result',
            'fromOperator' => 'op-29',
            'fromConnector' => 'result',
            'to' => 'op-28data1',
            'toOperator' => 'op-28',
            'toConnector' => 'data1'
        ),
        'link-33' => array(
            'from' => 'op-20singleEntity',
            'fromOperator' => 'op-20',
            'fromConnector' => 'singleEntity',
            'to' => 'op-16entity',
            'toOperator' => 'op-16',
            'toConnector' => 'entity'
        ),
        'link-34' => array(
            'from' => 'op-19elements1',
            'fromOperator' => 'op-19',
            'fromConnector' => 'elements1',
            'to' => 'op-30string',
            'toOperator' => 'op-30',
            'toConnector' => 'string'
        ),
        'link-35' => array(
            'from' => 'op-2fields1',
            'fromOperator' => 'op-2',
            'fromConnector' => 'fields1',
            'to' => 'op-30replace',
            'toOperator' => 'op-30',
            'toConnector' => 'replace'
        ),
        'link-36' => array(
            'from' => 'op-14dropdownValue',
            'fromOperator' => 'op-14',
            'fromConnector' => 'dropdownValue',
            'to' => 'op-10fields4',
            'toOperator' => 'op-10',
            'toConnector' => 'fields4'
        ),
        'link-37' => array(
            'from' => 'op-10controlFlow',
            'fromOperator' => 'op-10',
            'fromConnector' => 'controlFlow',
            'to' => 'op-31controlFlow',
            'toOperator' => 'op-31',
            'toConnector' => 'controlFlow'
        ),
        'link-38' => array(
            'from' => 'op-10entity',
            'fromOperator' => 'op-10',
            'fromConnector' => 'entity',
            'to' => 'op-31entity',
            'toOperator' => 'op-31',
            'toConnector' => 'entity'
        ),
        'link-39' => array(
            'from' => 'op-26controlFlowIfTrue',
            'fromOperator' => 'op-26',
            'fromConnector' => 'controlFlowIfTrue',
            'to' => 'op-9controlFlow',
            'toOperator' => 'op-9',
            'toConnector' => 'controlFlow'
        ),
        'link-40' => array(
            'from' => 'op-30result',
            'fromOperator' => 'op-30',
            'fromConnector' => 'result',
            'to' => 'op-10fields0',
            'toOperator' => 'op-10',
            'toConnector' => 'fields0'
        ),
        'link-41' => array(
            'from' => 'op-19elements2',
            'fromOperator' => 'op-19',
            'fromConnector' => 'elements2',
            'to' => 'op-10fields5',
            'toOperator' => 'op-10',
            'toConnector' => 'fields5'
        ),
        'link-42' => array(
            'from' => 'op-19elements0',
            'fromOperator' => 'op-19',
            'fromConnector' => 'elements0',
            'to' => 'op-12number',
            'toOperator' => 'op-12',
            'toConnector' => 'number'
        ),
        'link-43' => array(
            'from' => 'op-32dropdownValue',
            'fromOperator' => 'op-32',
            'fromConnector' => 'dropdownValue',
            'to' => 'op-10fields6',
            'toOperator' => 'op-10',
            'toConnector' => 'fields6'
        ),
    )
);
