<?php

require_once 'custom/PxRoutines/LogicBuilderPackages/lb62b1fb4ed3f621_85788957/operators/FlowchartOperator_lb62b1fb4ed3f621_85788957.php';
require_once 'custom/PxRoutines/LogicBuilderPackages/lb62b1fb4ed3f621_85788957/dataStorage/ArrayPath_lb62b1fb4ed3f621_85788957.php';
require_once 'custom/PxRoutines/LogicBuilderPackages/lb62b1fb4ed3f621_85788957/helpers/ArrayHelper_lb62b1fb4ed3f621_85788957.php';

class GetArrayElementsByPathOperator_lb62b1fb4ed3f621_85788957 extends FlowchartOperator_lb62b1fb4ed3f621_85788957
{

    protected $array;
    protected $elements = [];

    public function __construct($params)
    {
        parent::__construct($params);
    }

    public function setInDataPortById($id, $value){
        if ($id == 'array') {
            $this->array = ArrayHelper_lb62b1fb4ed3f621_85788957::castToArray($value);
        }
        parent::setInDataPortById($id, $value);
    }

    public function getOutDataByPortId($portId)
    {
        return $this->elements[$portId];
    }

    public function process($params = array())
    {
        try {
            $arrayPath = new ArrayPath_lb62b1fb4ed3f621_85788957($this->array);
            foreach ($this->outDataPorts as $portId => $dataPort) {
                $path = trim($dataPort['value']);
                $this->elements[$portId] = $arrayPath->getValue($path);
            }
        } catch(Exception $exception) {
            $this->result = $this->array;
        }
    }

}
