<?php

require_once 'custom/PxRoutines/LogicBuilderPackages/lb62b1fb4ed3f621_85788957/operators/FlowchartOperator_lb62b1fb4ed3f621_85788957.php';
require_once 'custom/PxRoutines/LogicBuilderPackages/lb62b1fb4ed3f621_85788957/helpers/date/DateTimeFactory_lb62b1fb4ed3f621_85788957.php';
require_once 'custom/PxRoutines/LogicBuilderPackages/lb62b1fb4ed3f621_85788957/helpers/date/LbDateTypes_lb62b1fb4ed3f621_85788957.php';

class GetDateFromDatetimeOperator_lb62b1fb4ed3f621_85788957 extends FlowchartOperator_lb62b1fb4ed3f621_85788957
{
    protected $datetime;
    protected $date;

    public function __construct($params)
    {
        parent::__construct($params);
    }

    public function setInDataPorts($params)
    {
        parent::setInDataPorts($params);
        if(!empty($this->inDataPorts['datetime']['value'])) {
            $this->datetime = $this->inDataPorts['datetime']['value'];
        }
    }

    public function setInDataPortById($id, $value)
    {
        if ($id == 'datetime') {
            $this->datetime = $value;
        }
    }

    public function getOutDataByPortId($portId)
    {
        return $this->date;
    }

    public function process($params = array())
    {
        try {
            $datetime = $this->getDateTimeCopy($this->datetime);
            if (empty($datetime)) {
                $this->date = null;
                return;
            }
            $datetime = new SugarDateTime($datetime->format('Y-m-d'), new DateTimeZone("UTC"));
            $this->date = new LbDate_lb62b1fb4ed3f621_85788957($datetime);
        } catch(Exception $exception) {
            $this->date = null;
        }
    }

    protected function getDateTimeCopy($date){
        return LbDateTypes_lb62b1fb4ed3f621_85788957::getDateTimeCopy($date);
    }

}
